### Function

# GObject ParamSpec is_valid_name

since: 2.66

#### Declaration [src]

    gboolean
    g_param_spec_is_valid_name (
      const gchar* name
    )

#### Description [src]

Validate a property name for a `GParamSpec`. This can be useful for dynamically-generated properties which need to be validated at run-time before actually trying to create them.

See canonical parameter names for details of the rules for valid names.

Available since: 2.66

#### Parameters

`name`

  Type: `const gchar*`

  The canonical name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `name` is a valid property name, `FALSE` otherwise.